class Console
{
    constructor()
    {
        this.oldConsoleLog = null;
    }

    enable() 
    {
        if(this.oldConsoleLog == null)
        {
            return;
        }            

        window['console']['log'] = this.oldConsoleLog;
    };

    disable()
    {
        this.oldConsoleLog = console.log;
        window['console']['log'] = function() {};
    };
}
